/**
 * Web Application Firewall (WAF) API
 * API for the Web Application Firewall service.
Use this API to manage regional Web App Firewalls and corresponding policies for protecting HTTP services.

 * OpenAPI spec version: 20210930
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
* Allows returning dynamically generated HTTP response body based on the provided template.
* The template allows variable interpolation by specifying variable name between the '${' and '}' delimiters.
* Escape sequences using '\\' are supported to allow usage of '\\\\' and '\\${' in the template to return '\\' and '\\${' in final response.
* <p>
The following variables are supported:
* <p>
* http.request.id - the HTTP request ID. For example: \"d5fa953f75ef417e4c8008ef9336d779\".
* <p>
Example:
* {
*   \"type\": \"DYNAMIC\",
*   \"template\": \"{\
*   \\\"code\\\": 403,\
*   \\\"message\\\":\\\"Unauthorised\\\",\
*   \\\"incidentId\\\": \\\"${http.request.id}\\\"\
* }\"
* }
* <p>
Example with escape sequence:
* {
*   \"type\": \"DYNAMIC\",
*   \"template\": \"\\\\${Returned as plain text}\"
* }
*
*/
export interface DynamicHttpResponseBody extends model.HttpResponseBody {
    /**
     * Dynamic response body
     */
    "template": string;
    "type": string;
}
export declare namespace DynamicHttpResponseBody {
    function getJsonObj(obj: DynamicHttpResponseBody, isParentJsonObj?: boolean): object;
    const type = "DYNAMIC";
    function getDeserializedJsonObj(obj: DynamicHttpResponseBody, isParentJsonObj?: boolean): object;
}
